Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 213396 - NoClassDefFoundError: org/openide/util/ImageUtilities$CompositeImageKey
NoClassDefFoundError: org/openide/util/ImageUtilities$CompositeImageKey
Status: RESOLVED WORKSFORME
Product: platform
Classification: Unclassified
Component: Module System
7.2
All All
: P1 with 3 votes (vote)
: 7.2
Assigned To: Jaroslav Tulach
issues@platform
EXCEPTIONS_REPORT
:
: 213305 213309 213316 (view as bug list)
Depends on:
Blocks: 214019
  Show dependency treegraph
 
Reported: 2012-06-01 11:46 UTC by Exceptions Reporter
Modified: 2012-06-14 06:10 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.62 KB, text/plain)
2012-06-01 11:46 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2012-06-01 11:46:50 UTC
This issue was reported manually by mgoe.
It already has 1 duplicates 


Build: NetBeans IDE 7.2 Beta (Build 201205031832)
VM: Java HotSpot(TM) 64-Bit Server VM, 23.0-b21, Java(TM) SE Runtime Environment, 1.7.0_04-b20
OS: Linux

User Comments:
GUEST: Trying to expand a node in explorer after a clean build of a module suite project.




Stacktrace: 
java.lang.NoClassDefFoundError: org/openide/util/ImageUtilities$CompositeImageKey
   at org.openide.util.ImageUtilities.mergeImages(ImageUtilities.java:185)
   at org.netbeans.spi.java.project.support.ui.PackageRootNode.computeIcon(PackageRootNode.java:368)
   at org.netbeans.spi.java.project.support.ui.PackageRootNode.getIcon(PackageRootNode.java:137)
   at org.openide.nodes.FilterNode.getIcon(FilterNode.java:569)
   at org.openide.nodes.FilterNode.getIcon(FilterNode.java:569)
   at org.openide.explorer.view.VisualizerNode.getIcon(VisualizerNode.java:559)
Comment 1 Exceptions Reporter 2012-06-01 11:46:56 UTC
Created attachment 120206 [details]
stacktrace
Comment 2 Jaroslav Tulach 2012-06-01 13:17:40 UTC
I hope the issue is always reproducible when you decided to assign it P1 priority.

Tell me what is content of /usr/local64/java/netbeans-7.2beta_jdk7u4/platform/lib/org-openide-util.jar, please?
Comment 3 Jaroslav Tulach 2012-06-01 13:22:21 UTC
*** Bug 213316 has been marked as a duplicate of this bug. ***
Comment 4 mgoe 2012-06-01 15:59:05 UTC
jar -tvf /usr/local64/java/netbeans-7.2beta_jdk7u4/platform/lib/org-openide-util.jar
     0 Thu May 03 20:16:46 CEST 2012 META-INF/
   633 Thu May 03 20:16:44 CEST 2012 META-INF/MANIFEST.MF
     0 Thu May 03 20:16:44 CEST 2012 META-INF/services/
     0 Thu May 03 20:16:44 CEST 2012 META-INF/upgrade/
     0 Thu May 03 20:16:44 CEST 2012 org/
     0 Thu May 03 20:16:44 CEST 2012 org/netbeans/
     0 Thu May 03 20:16:44 CEST 2012 org/netbeans/modules/
     0 Thu May 03 20:16:44 CEST 2012 org/netbeans/modules/openide/
     0 Thu May 03 20:16:44 CEST 2012 org/netbeans/modules/openide/util/
     0 Thu May 03 20:16:44 CEST 2012 org/openide/
     0 Thu May 03 20:16:44 CEST 2012 org/openide/util/
     0 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/
     0 Thu May 03 20:16:44 CEST 2012 org/openide/util/datatransfer/
     0 Thu May 03 20:16:44 CEST 2012 org/openide/util/io/
     0 Thu May 03 20:16:44 CEST 2012 org/openide/xml/
    46 Thu May 03 20:16:44 CEST 2012 META-INF/namedservices.index
    63 Thu May 03 20:16:44 CEST 2012 META-INF/services/java.net.URLStreamHandlerFactory
    52 Thu May 03 20:16:44 CEST 2012 META-INF/services/javax.annotation.processing.Processor
   421 Thu May 03 20:16:44 CEST 2012 META-INF/upgrade/ImageUtilities.hint
   302 Thu May 03 20:16:44 CEST 2012 META-INF/upgrade/NbBundle.hint
  1018 Thu May 03 20:16:44 CEST 2012 org/netbeans/modules/openide/util/NbBundleProcessor$1.class
 18778 Thu May 03 20:16:44 CEST 2012 org/netbeans/modules/openide/util/NbBundleProcessor.class
  2089 Thu May 03 20:16:44 CEST 2012 org/netbeans/modules/openide/util/ProxyURLStreamHandlerFactory$1.class
  2977 Thu May 03 20:16:44 CEST 2012 org/netbeans/modules/openide/util/ProxyURLStreamHandlerFactory.class
  5039 Thu May 03 20:16:44 CEST 2012 org/openide/ErrorManager$AnnException.class
   393 Thu May 03 20:16:44 CEST 2012 org/openide/ErrorManager$Annotation.class
  1404 Thu May 03 20:16:44 CEST 2012 org/openide/ErrorManager$DelegatingErrorManager$1.class
  8512 Thu May 03 20:16:44 CEST 2012 org/openide/ErrorManager$DelegatingErrorManager.class
   693 Thu May 03 20:16:44 CEST 2012 org/openide/ErrorManager$OwnLevel.class
  3369 Thu May 03 20:16:44 CEST 2012 org/openide/ErrorManager.class
   636 Thu May 03 20:16:44 CEST 2012 org/openide/LifecycleManager$Trivial.class
   987 Thu May 03 20:16:44 CEST 2012 org/openide/LifecycleManager.class
  3740 Thu May 03 20:16:44 CEST 2012 org/openide/ServiceType$Handle.class
  1612 Thu May 03 20:16:44 CEST 2012 org/openide/ServiceType$Registry$1IsInstance.class
  2297 Thu May 03 20:16:44 CEST 2012 org/openide/ServiceType$Registry.class
  4341 Thu May 03 20:16:44 CEST 2012 org/openide/ServiceType.class
   165 Thu May 03 20:16:44 CEST 2012 org/openide/util/AsyncGUIJob.class
  4500 Thu May 03 20:16:44 CEST 2012 org/openide/util/AsyncInitSupport.class
  5646 Thu May 03 20:16:44 CEST 2012 org/openide/util/Bundle.properties
   143 Thu May 03 20:16:44 CEST 2012 org/openide/util/Cancellable.class
  3062 Thu May 03 20:16:44 CEST 2012 org/openide/util/ChangeSupport.class
   221 Thu May 03 20:16:44 CEST 2012 org/openide/util/CharSequences$1.class
  2920 Thu May 03 20:16:44 CEST 2012 org/openide/util/CharSequences$ByteBasedSequence.class
  2646 Thu May 03 20:16:44 CEST 2012 org/openide/util/CharSequences$CharBasedSequence.class
  4288 Thu May 03 20:16:44 CEST 2012 org/openide/util/CharSequences$CharSequenceComparator.class
   263 Thu May 03 20:16:44 CEST 2012 org/openide/util/CharSequences$CompactCharSequence.class
  3243 Thu May 03 20:16:44 CEST 2012 org/openide/util/CharSequences$Fixed_0_7.class
  4228 Thu May 03 20:16:44 CEST 2012 org/openide/util/CharSequences$Fixed_16_23.class
  3729 Thu May 03 20:16:44 CEST 2012 org/openide/util/CharSequences$Fixed_8_15.class
  4130 Thu May 03 20:16:44 CEST 2012 org/openide/util/CharSequences.class
   247 Thu May 03 20:16:44 CEST 2012 org/openide/util/ContextAwareAction.class
   200 Thu May 03 20:16:44 CEST 2012 org/openide/util/ContextGlobalProvider.class
  8754 Thu May 03 20:16:44 CEST 2012 org/openide/util/EditableProperties$Item.class
  3175 Thu May 03 20:16:44 CEST 2012 org/openide/util/EditableProperties$IteratorImpl.class
  1982 Thu May 03 20:16:44 CEST 2012 org/openide/util/EditableProperties$MapEntryImpl.class
  1316 Thu May 03 20:16:44 CEST 2012 org/openide/util/EditableProperties$SetImpl.class
  1645 Thu May 03 20:16:44 CEST 2012 org/openide/util/EditableProperties$State.class
  9716 Thu May 03 20:16:44 CEST 2012 org/openide/util/EditableProperties.class
   218 Thu May 03 20:16:44 CEST 2012 org/openide/util/Enumerations$1.class
  1213 Thu May 03 20:16:44 CEST 2012 org/openide/util/Enumerations$1RDupls.class
  1470 Thu May 03 20:16:44 CEST 2012 org/openide/util/Enumerations$AltEn.class
  1971 Thu May 03 20:16:44 CEST 2012 org/openide/util/Enumerations$FilEn.class
   420 Thu May 03 20:16:44 CEST 2012 org/openide/util/Enumerations$Processor.class
   772 Thu May 03 20:16:44 CEST 2012 org/openide/util/Enumerations$QEn$ListItem.class
  3098 Thu May 03 20:16:44 CEST 2012 org/openide/util/Enumerations$QEn$ToAdd.class
  2817 Thu May 03 20:16:44 CEST 2012 org/openide/util/Enumerations$QEn.class
  1207 Thu May 03 20:16:44 CEST 2012 org/openide/util/Enumerations$RNulls.class
  1570 Thu May 03 20:16:44 CEST 2012 org/openide/util/Enumerations$SeqEn.class
  4475 Thu May 03 20:16:44 CEST 2012 org/openide/util/Enumerations.class
  1104 Thu May 03 20:16:44 CEST 2012 org/openide/util/Exceptions$1.class
  5435 Thu May 03 20:16:44 CEST 2012 org/openide/util/Exceptions$AnnException.class
   653 Thu May 03 20:16:44 CEST 2012 org/openide/util/Exceptions$OwnLevel.class
  4510 Thu May 03 20:16:44 CEST 2012 org/openide/util/Exceptions.class
   245 Thu May 03 20:16:44 CEST 2012 org/openide/util/HelpCtx$Displayer.class
   245 Thu May 03 20:16:44 CEST 2012 org/openide/util/HelpCtx$Provider.class
  5471 Thu May 03 20:16:44 CEST 2012 org/openide/util/HelpCtx.class
   403 Thu May 03 20:16:44 CEST 2012 org/openide/util/ImageUtilities$1.class
   872 Thu May 03 20:16:44 CEST 2012 org/openide/util/ImageUtilities$2.class
  1545 Thu May 03 20:16:44 CEST 2012 org/openide/util/ImageUtilities$ActiveRef.class
  1509 Thu May 03 20:16:44 CEST 2012 org/openide/util/ImageUtilities$CompositeImageKey.class
  1012 Thu May 03 20:16:44 CEST 2012 org/openide/util/ImageUtilities$DisabledButtonFilter.class
  2225 Thu May 03 20:16:44 CEST 2012 org/openide/util/ImageUtilities$LazyDisabledIcon.class
  3517 Thu May 03 20:16:44 CEST 2012 org/openide/util/ImageUtilities$ToolTipImage.class
  1314 Thu May 03 20:16:44 CEST 2012 org/openide/util/ImageUtilities$ToolTipImageKey.class
 16334 Thu May 03 20:16:44 CEST 2012 org/openide/util/ImageUtilities.class
  6201 Thu May 03 20:16:44 CEST 2012 org/openide/util/MapFormat.class
  1820 Thu May 03 20:16:44 CEST 2012 org/openide/util/Mutex$1AWTWorker.class
  1115 Thu May 03 20:16:44 CEST 2012 org/openide/util/Mutex$1Exec.class
  1579 Thu May 03 20:16:44 CEST 2012 org/openide/util/Mutex$1R.class
   416 Thu May 03 20:16:44 CEST 2012 org/openide/util/Mutex$Action.class
   365 Thu May 03 20:16:44 CEST 2012 org/openide/util/Mutex$ExceptionAction.class
   378 Thu May 03 20:16:44 CEST 2012 org/openide/util/Mutex$InternalLock.class
  1054 Thu May 03 20:16:44 CEST 2012 org/openide/util/Mutex$Privileged.class
  2140 Thu May 03 20:16:44 CEST 2012 org/openide/util/Mutex$QueueCell.class
  1779 Thu May 03 20:16:44 CEST 2012 org/openide/util/Mutex$ThreadInfo.class
 22201 Thu May 03 20:16:44 CEST 2012 org/openide/util/Mutex.class
   731 Thu May 03 20:16:44 CEST 2012 org/openide/util/MutexException.class
  1647 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbBundle$AttributesMap.class
   359 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbBundle$ClassLoaderFinder.class
  4683 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbBundle$DebugLoader$DebugInputStream.class
  3077 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbBundle$DebugLoader.class
  2381 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbBundle$LocaleIterator.class
  1507 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbBundle$MergedBundle.class
   558 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbBundle$Messages.class
  1390 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbBundle$PBundle.class
 16345 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbBundle.class
  1423 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbCollections$1.class
  1451 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbCollections$2.class
   772 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbCollections$3.class
  1109 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbCollections$4$1.class
   886 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbCollections$4.class
  1700 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbCollections$CheckedIterator.class
  1478 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbCollections$CheckedMap$EntrySet$1.class
  2089 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbCollections$CheckedMap$EntrySet.class
  4499 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbCollections$CheckedMap.class
  1198 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbCollections$CheckedSet$1.class
  2763 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbCollections$CheckedSet.class
  6329 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbCollections.class
   907 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbPreferences$1.class
   353 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbPreferences$Provider.class
  2049 Thu May 03 20:16:44 CEST 2012 org/openide/util/NbPreferences.class
   660 Thu May 03 20:16:44 CEST 2012 org/openide/util/NetworkSettings$ProxyCredentialsProvider.class
  3336 Thu May 03 20:16:44 CEST 2012 org/openide/util/NetworkSettings.class
   541 Thu May 03 20:16:44 CEST 2012 org/openide/util/NotImplementedException.class
  1908 Thu May 03 20:16:44 CEST 2012 org/openide/util/Parameters.class
  1243 Thu May 03 20:16:44 CEST 2012 org/openide/util/Queue.class
  4592 Thu May 03 20:16:44 CEST 2012 org/openide/util/RE13.class
   230 Thu May 03 20:16:44 CEST 2012 org/openide/util/RequestProcessor$1.class
  1136 Thu May 03 20:16:44 CEST 2012 org/openide/util/RequestProcessor$CreatedItem.class
   799 Thu May 03 20:16:44 CEST 2012 org/openide/util/RequestProcessor$FastItem.class
  2000 Thu May 03 20:16:44 CEST 2012 org/openide/util/RequestProcessor$FixedDelayTask.class
  2669 Thu May 03 20:16:44 CEST 2012 org/openide/util/RequestProcessor$FixedRateTask.class
  2550 Thu May 03 20:16:44 CEST 2012 org/openide/util/RequestProcessor$Item.class
  9932 Thu May 03 20:16:44 CEST 2012 org/openide/util/RequestProcessor$Processor.class
  2600 Thu May 03 20:16:44 CEST 2012 org/openide/util/RequestProcessor$RPFutureTask.class
   281 Thu May 03 20:16:44 CEST 2012 org/openide/util/RequestProcessor$RunnableWrapper.class
  2101 Thu May 03 20:16:44 CEST 2012 org/openide/util/RequestProcessor$ScheduledRPFutureTask.class
  1655 Thu May 03 20:16:44 CEST 2012 org/openide/util/RequestProcessor$SlowItem.class
  9058 Thu May 03 20:16:44 CEST 2012 org/openide/util/RequestProcessor$Task.class
  3374 Thu May 03 20:16:44 CEST 2012 org/openide/util/RequestProcessor$TaskFutureWrapper.class
  3330 Thu May 03 20:16:44 CEST 2012 org/openide/util/RequestProcessor$TickTac.class
  2889 Thu May 03 20:16:44 CEST 2012 org/openide/util/RequestProcessor$TopLevelThreadGroup.class
  2699 Thu May 03 20:16:44 CEST 2012 org/openide/util/RequestProcessor$WaitableCallable.class
 23348 Thu May 03 20:16:44 CEST 2012 org/openide/util/RequestProcessor.class
  1159 Thu May 03 20:16:44 CEST 2012 org/openide/util/SharedClassObject$1.class
  2037 Thu May 03 20:16:44 CEST 2012 org/openide/util/SharedClassObject$1SOLoader.class
  4709 Thu May 03 20:16:44 CEST 2012 org/openide/util/SharedClassObject$DataEntry.class
  1240 Thu May 03 20:16:44 CEST 2012 org/openide/util/SharedClassObject$SetAccessibleAction.class
  4045 Thu May 03 20:16:44 CEST 2012 org/openide/util/SharedClassObject$WriteReplace.class
 14087 Thu May 03 20:16:44 CEST 2012 org/openide/util/SharedClassObject.class
   597 Thu May 03 20:16:44 CEST 2012 org/openide/util/Task$1Run.class
  5699 Thu May 03 20:16:44 CEST 2012 org/openide/util/Task.class
   205 Thu May 03 20:16:44 CEST 2012 org/openide/util/TaskListener.class
  2344 Thu May 03 20:16:44 CEST 2012 org/openide/util/TimedSoftReference.class
  1490 Thu May 03 20:16:44 CEST 2012 org/openide/util/TopologicalSortException$Vertex.class
  7979 Thu May 03 20:16:44 CEST 2012 org/openide/util/TopologicalSortException.class
   675 Thu May 03 20:16:44 CEST 2012 org/openide/util/URLStreamHandlerRegistration.class
  2220 Thu May 03 20:16:44 CEST 2012 org/openide/util/Union2$Union2First.class
  2227 Thu May 03 20:16:44 CEST 2012 org/openide/util/Union2$Union2Second.class
  1778 Thu May 03 20:16:44 CEST 2012 org/openide/util/Union2.class
   522 Thu May 03 20:16:44 CEST 2012 org/openide/util/UserCancelException.class
   571 Thu May 03 20:16:44 CEST 2012 org/openide/util/UserQuestionException.class
   695 Thu May 03 20:16:44 CEST 2012 org/openide/util/Utilities$1.class
  1120 Thu May 03 20:16:44 CEST 2012 org/openide/util/Utilities$2.class
  1190 Thu May 03 20:16:44 CEST 2012 org/openide/util/Utilities$3.class
   873 Thu May 03 20:16:44 CEST 2012 org/openide/util/Utilities$NamesAndValues.class
   366 Thu May 03 20:16:44 CEST 2012 org/openide/util/Utilities$RE.class
  1193 Thu May 03 20:16:44 CEST 2012 org/openide/util/Utilities$UnorderableException.class
 48844 Thu May 03 20:16:44 CEST 2012 org/openide/util/Utilities.class
  2499 Thu May 03 20:16:44 CEST 2012 org/openide/util/UtilitiesCompositeActionMap.class
   995 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakListenerImpl$Change.class
  1841 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakListenerImpl$Document.class
  1115 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakListenerImpl$Focus.class
  1085 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakListenerImpl$ListenerReference$1.class
  5655 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakListenerImpl$ListenerReference.class
  1354 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakListenerImpl$PropertyChange.class
  5214 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakListenerImpl$ProxyListener.class
  1095 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakListenerImpl$VetoableChange.class
  4287 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakListenerImpl.class
  3595 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakListeners.class
   203 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakSet$1.class
  3222 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakSet$SharedKeyWeakHashMap$Entry.class
  1679 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakSet$SharedKeyWeakHashMap$EntryIterator.class
  3554 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakSet$SharedKeyWeakHashMap$EntrySet.class
  2945 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakSet$SharedKeyWeakHashMap$HashIterator.class
  1474 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakSet$SharedKeyWeakHashMap$KeyIterator.class
  1906 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakSet$SharedKeyWeakHashMap$KeySet.class
  2449 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakSet$SharedKeyWeakHashMap$SimpleEntry.class
  1466 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakSet$SharedKeyWeakHashMap$ValueIterator.class
  1721 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakSet$SharedKeyWeakHashMap$Values.class
 12315 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakSet$SharedKeyWeakHashMap.class
  5912 Thu May 03 20:16:44 CEST 2012 org/openide/util/WeakSet.class
  1162 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/ActionInvoker$1.class
   877 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/ActionInvoker$2.class
   997 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/ActionInvoker$ActionRunnable$1.class
  2945 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/ActionInvoker$ActionRunnable.class
  2632 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/ActionInvoker.class
   289 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/ActionPerformer.class
   267 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/ActionPresenterProvider$1.class
  1544 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/ActionPresenterProvider$Default.class
  1221 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/ActionPresenterProvider.class
  2433 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/BooleanStateAction.class
   767 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/CallableSystemAction$1.class
  3078 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/CallableSystemAction.class
  1059 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/CallbackSystemAction$1.class
  2237 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/CallbackSystemAction$ActionDelegateListener.class
  1091 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/CallbackSystemAction$DelegateAction$1.class
  8112 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/CallbackSystemAction$DelegateAction.class
   905 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/CallbackSystemAction$GlobalManager$1.class
  4976 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/CallbackSystemAction$GlobalManager.class
  1840 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/CallbackSystemAction$WeakAction.class
  7624 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/CallbackSystemAction.class
   264 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/Presenter$Menu.class
   267 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/Presenter$Popup.class
   270 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/Presenter$Toolbar.class
   335 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/Presenter.class
   817 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/SystemAction$1.class
  2305 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/SystemAction$ComponentIcon.class
  7439 Thu May 03 20:16:44 CEST 2012 org/openide/util/actions/SystemAction.class
  2338 Thu May 03 20:16:44 CEST 2012 org/openide/util/datatransfer/Bundle.properties
   951 Thu May 03 20:16:44 CEST 2012 org/openide/util/datatransfer/ClipboardEvent.class
   255 Thu May 03 20:16:44 CEST 2012 org/openide/util/datatransfer/ClipboardListener.class
  1140 Thu May 03 20:16:44 CEST 2012 org/openide/util/datatransfer/ExClipboard$1.class
   328 Thu May 03 20:16:44 CEST 2012 org/openide/util/datatransfer/ExClipboard$Convertor.class
  5159 Thu May 03 20:16:44 CEST 2012 org/openide/util/datatransfer/ExClipboard.class
  1380 Thu May 03 20:16:44 CEST 2012 org/openide/util/datatransfer/ExTransferable$1.class
  1120 Thu May 03 20:16:44 CEST 2012 org/openide/util/datatransfer/ExTransferable$Empty.class
  2573 Thu May 03 20:16:44 CEST 2012 org/openide/util/datatransfer/ExTransferable$Multi$TransferObjectImpl.class
  1676 Thu May 03 20:16:44 CEST 2012 org/openide/util/datatransfer/ExTransferable$Multi.class
  1476 Thu May 03 20:16:44 CEST 2012 org/openide/util/datatransfer/ExTransferable$Single.class
  5381 Thu May 03 20:16:44 CEST 2012 org/openide/util/datatransfer/ExTransferable.class
   654 Thu May 03 20:16:44 CEST 2012 org/openide/util/datatransfer/MultiTransferObject.class
   949 Thu May 03 20:16:44 CEST 2012 org/openide/util/datatransfer/NewType.class
   994 Thu May 03 20:16:44 CEST 2012 org/openide/util/datatransfer/PasteType.class
   249 Thu May 03 20:16:44 CEST 2012 org/openide/util/datatransfer/TransferListener.class
  1398 Thu May 03 20:16:44 CEST 2012 org/openide/util/io/FoldingIOException.class
  3119 Thu May 03 20:16:44 CEST 2012 org/openide/util/io/NbMarshalledObject.class
  3788 Thu May 03 20:16:44 CEST 2012 org/openide/util/io/NbObjectInputStream.class
  5343 Thu May 03 20:16:44 CEST 2012 org/openide/util/io/NbObjectOutputStream.class
   528 Thu May 03 20:16:44 CEST 2012 org/openide/util/io/NullInputStream.class
   547 Thu May 03 20:16:44 CEST 2012 org/openide/util/io/NullOutputStream.class
   818 Thu May 03 20:16:44 CEST 2012 org/openide/util/io/OperationException.class
  2371 Thu May 03 20:16:44 CEST 2012 org/openide/util/io/ReaderInputStream.class
   728 Thu May 03 20:16:44 CEST 2012 org/openide/util/io/SafeException.class
   138 Thu May 03 20:16:44 CEST 2012 org/openide/util/progress-cursor-mac.gif
   139 Thu May 03 20:16:44 CEST 2012 org/openide/util/progress-cursor-motif.gif
   159 Thu May 03 20:16:44 CEST 2012 org/openide/util/progress-cursor-win.gif
  2098 Thu May 03 20:16:44 CEST 2012 org/openide/xml/EntityCatalog$Forwarder.class
   806 Thu May 03 20:16:44 CEST 2012 org/openide/xml/EntityCatalog.class
   985 Thu May 03 20:16:44 CEST 2012 org/openide/xml/XMLUtil$1$1.class
   975 Thu May 03 20:16:44 CEST 2012 org/openide/xml/XMLUtil$1.class
   974 Thu May 03 20:16:44 CEST 2012 org/openide/xml/XMLUtil$2.class
  1713 Thu May 03 20:16:44 CEST 2012 org/openide/xml/XMLUtil$ErrHandler.class
 21043 Thu May 03 20:16:44 CEST 2012 org/openide/xml/XMLUtil.class
Comment 5 Jaroslav Tulach 2012-06-01 20:16:36 UTC
The class CompositeImageKey is in the JAR file. Can you reproduce the problem? My bet would be that after a restart everything has to be OK.
Comment 6 Jaroslav Tulach 2012-06-01 20:17:12 UTC
*** Bug 213309 has been marked as a duplicate of this bug. ***
Comment 7 Jaroslav Tulach 2012-06-01 20:20:09 UTC
*** Bug 213305 has been marked as a duplicate of this bug. ***
Comment 8 anba 2012-06-04 07:31:49 UTC
(In reply to comment #5)
> The class CompositeImageKey is in the JAR file. Can you reproduce the problem?
> My bet would be that after a restart everything has to be OK.

Yes, everything is ok when restarting netbeans but only for a short while. If I try to compile our module suite a ClassNotFoundException will come again reproducable (not necessarily the same as reported, but always in the org.openide package). After that it is not possible to use netbeans anymore (i.e. nearly every action results in a ClassNotFoundException). If I have luck I can report the problem using the exception reporter. Sometimes even this will not work because of ClassNotFoundExceptions.


BTW: I am the reporter of one of the duplicates.
Comment 9 Jaroslav Tulach 2012-06-04 08:26:08 UTC
Btw. if you want to make sure the issue is not forgotten, you need to reopen it.

Are not you by a chance using webservices somehow? We have a severe bug 211962, but so far it only manifested when using webservices.
Comment 10 Jaroslav Tulach 2012-06-04 09:30:24 UTC
ergonomics#f6bfdaee6030 - well, I was hoping for more information. But let's assume this is related to the classpath problem as manifested by glassfish ws Ant task and let's improve detection of such situation.
Comment 11 anba 2012-06-04 09:55:35 UTC
(In reply to comment #10)
> ergonomics#f6bfdaee6030 - well, I was hoping for more information. But let's
> assume this is related to the classpath problem as manifested by glassfish ws
> Ant task and let's improve detection of such situation.

We do not use glassfish and webservices. So I am not sure if Bug 211962 has anything to do with this problem.

What we have is the following:
- a  nebeans 7.2 beta customized installation, where Jave ME, Groovy, PHP,
Features on Demand, Glassfish server Open Source Edition, and Apache Tomcat are not installed.

- We use a standard JDK 1.7u4 in the directory 
/usr/local64/java/jdk1.7.0_04_b20_jaxb2.2.5_xalan2.7.1 with the following extensions:

/usr/local64/java/jdk1.7.0_04_b20_jaxb2.2.5_xalan2.7.1/jre/lib/endorsed:
jaxb-api_2.2.5.jar    xercesImpl_2.7.1.jar  yoko-spec-corba-1.1.jar
serializer_2.7.1.jar  xml-apis_2.7.1.jar
xalan_2.7.1.jar       yoko-core-1.1.jar

/usr/local64/java/jdk1.7.0_04_b20_jaxb2.2.5_xalan2.7.1/jre/lib/ext
annotations.jar jaxb-impl_2.2.5.jar

/usr/local64/java/jdk1.7.0_04_b20_jaxb2.2.5_xalan2.7.1/jre/lib/jaxp.properties

We use these extensions since years in different versions of the extensions, netbeans and JDKs and never had any problems.

See bug 213404 for an attachment containing the files with these extensions.
Comment 12 Quality Engineering 2012-06-09 04:37:14 UTC
Integrated into 'main-golden', will be available in build *201206090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/f6bfdaee6030
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #213396: Warn when somebody is accessing sun.misc classes via reflection
Comment 13 Jesse Glick 2012-06-12 18:34:16 UTC
(In reply to comment #11)
> We use a standard JDK 1.7u4 [...] with the following extensions

It is not supported to run NetBeans using a JDK which has been modified in any way, including additions to the "endorsed" directory. Any such JARs may cause hard-to-diagnose systemic problems. Please use a clean JDK installation.

(In reply to comment #12)
> f6bfdaee6030: Warn when somebody is accessing sun.misc classes via reflection

This is very annoying in dev builds (even with 318485947a17). org.netbeans.core.output2.FileMapStorage and com.sun.tools.javac.util.CloseableURLClassLoader constantly trigger this warning. Please downgrade to FINE by default even in dev builds; you can always manually set it to INFO if you want to track these calls.
Comment 14 Jaroslav Tulach 2012-06-14 05:21:37 UTC
I have changed the logging to print the stack trace only once to address bug 214019 and suggested to create a white list of accesses that we consider safe.
Comment 15 Quality Engineering 2012-06-14 06:10:56 UTC
Integrated into 'main-golden', will be available in build *201206140001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/dec698bfaa47
User: Jesse Glick <jglick@netbeans.org>
Log: #213396 cont'd: do not print these stack traces by default.
org.netbeans.core.output2.FileMapStorage.unmap calls sun.misc.Cleaner quite often.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo